Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1192798 (novprog) - Review Request: novprog - Tool to graph your progress in writing a NaNoWriMo style novel
Summary: Review Request: novprog - Tool to graph your progress in writing a NaNoWriMo ...
Keywords:
Status: CLOSED ERRATA
Alias: novprog
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-15 11:14 UTC by Mario Blättermann
Modified: 2015-02-28 10:26 UTC (History)
3 users (show)

Fixed In Version: novprog-3.0.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 10:26:14 UTC
mgansser: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2015-02-15 11:14:25 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/novprog.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/novprog-3.0.0-1.fc21.src.rpm
Description:
NovProg is a tool to graph your progress in writing a NaNoWriMo style novel.
You enter your wordcount and it updates a graph showing you how much progress
you have made. It also shows you how far you are through your daily goal,
and your total goal. Mousing over a bar in the graph will show a tooltip
with that day’s wordcount.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2015-02-15 11:23:30 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8938492

rpmlint is quite silent, t complains about the missing man page, but the software doesn't accept any command line options, so it is not really needed.

Morover, the appdata file seems to be incorrect:

novprog.i686: E: invalid-appdata-file /usr/share/appdata/novprog.appdata.xml
appdata file is not valid, check with appdata-validate

After checking the file with the command in our guidelines [1], I get:

$ appstream-util validate-relax --nonet *xml
novprog.appdata.xml: OK

But appdata-validate is even less relaxed:

$ appdata-validate *xml
novprog.appdata.xml 4 problems detected:
• tag-missing           : <updatecontact> is not present
• attribute-invalid     : <screenshot> width did not match specified
• attribute-invalid     : <screenshot> height did not match specified
• style-invalid         : Not enough <p> tags for a good description

I wouldn't recognize it as a blocker, although the file isn't *fully* canonical referring to Freedesktop's appstream specification.

[1] http://fedoraproject.org/wiki/Packaging:AppData

Comment 2 MartinKG 2015-02-17 15:56:48 UTC
Taking this for a full review.

Comment 3 MartinKG 2015-02-17 16:06:13 UTC
Note: Directories without known owners: /usr/share/novprog

your package owns the directory /usr/share/novprog/translations/, but /usr/share/novprog stay unowned. Please add both to %files (with %dir).

Comment 5 MartinKG 2015-02-17 20:53:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/1192798-novprog/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in novprog
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: novprog-3.0.0-2.fc22.x86_64.rpm
          novprog-3.0.0-2.fc22.src.rpm
novprog.x86_64: W: spelling-error %description -l en_US wordcount -> word count, word-count, countdown
novprog.x86_64: W: spelling-error %description -l en_US tooltip -> tool tip, tool-tip, toolkit
novprog.x86_64: W: no-manual-page-for-binary novprog
novprog.src: W: spelling-error %description -l en_US wordcount -> word count, word-count, countdown
novprog.src: W: spelling-error %description -l en_US tooltip -> tool tip, tool-tip, toolkit
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
novprog (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
novprog:
    appdata()
    appdata(novprog.appdata.xml)
    application()
    application(novprog.desktop)
    novprog
    novprog(x86-64)



Source checksums
----------------
http://gottcode.org/novprog/novprog-3.0.0-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 879cb6029513543be9c778cff99d3bb0fa57ed89b0159f6c84116078e548219f
  CHECKSUM(SHA256) upstream package : 879cb6029513543be9c778cff99d3bb0fa57ed89b0159f6c84116078e548219f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1192798
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Package APPROVED !

Comment 6 Mario Blättermann 2015-02-17 21:05:08 UTC
Thanks for review and approval!

New Package SCM Request
=======================
Package Name: novprog
Short Description: Tool to graph your progress in writing a NaNoWriMo style novel
Upstream URL: http://gottcode.org/novprog/
Owners: mariobl
Branches: f21 f22

Comment 7 Gwyn Ciesla 2015-02-17 21:26:26 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-02-17 22:10:37 UTC
novprog-3.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/novprog-3.0.0-2.fc21

Comment 9 Fedora Update System 2015-02-19 02:59:50 UTC
novprog-3.0.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-02-28 10:26:14 UTC
novprog-3.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.